org.apache.tinkerpop.gremlin.driver.ser

## Class ResponseMessageGryoSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.ResponseMessageGryoSerializer

- All Implemented Interfaces:
    SerializerShim<ResponseMessage>

      public class ResponseMessageGryoSerializer
      extends Object
      implements SerializerShim<ResponseMessage>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseMessageGryoSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> ResponseMessage` | `read(KryoShim<I,?> kryo, I input, Class<ResponseMessage> clazz)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, ResponseMessage responseMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### ResponseMessageGryoSerializer

          public ResponseMessageGryoSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   ResponseMessage responseMessage)

      Specified by:
        `write` in interface `SerializerShim<ResponseMessage>`

    - #### read

          public <I extends InputShim> ResponseMessage read(KryoShim<I,?> kryo,
                                                            I input,
                                                            Class<ResponseMessage> clazz)

      Specified by:
        `read` in interface `SerializerShim<ResponseMessage>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.